Summary:	C Library to Deal with Matroska Files
Name:		bcmatroska2
Version:	5.3.84
Release:	1%{?dist}.inferit

License:	BSD and Zlib and GPLv2+
URL:		https://linphone.org/
Source0:	https://gitlab.linphone.org/BC/public/bcmatroska2/-/archive/%{version}/bcmatroska2-%{version}.tar.gz
Patch2:		0001-Fix-linking.patch

BuildRequires:	cmake
BuildRequires:	cmake(bctoolbox) >= %{version}

%description
Bcmatroska2 is a C library to parse Matroska files (.mkv and .mka).

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}

%prep
%setup -qn %{name}-%{?gitdate}%{!?gitdate:%version}
%autopatch -p1

%build
%cmake \
  -DCMAKE_SKIP_RPATH:BOOL=YES \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_STRICT:BOOL=NO \
  -DCMAKE_INSTALL_INCLUDEDIR:PATH=include/bcmatroska2 \
  -DCONFIG_PACKAGE_LOCATION:PATH=%{_libdir}/cmake/%{name}
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_libdir}/cmake/%{name}
mv %{buildroot}%{_datadir}/BCMatroska2/cmake/* %{buildroot}%{_libdir}/cmake/%{name}/
rm -rf %{buildroot}%{_datadir}

%files
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/


%changelog
* Sat Sep 21 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 5.3.84-1.inferit
- Update to 5.3.84

* Fri May 31 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 5.3.54-1.inferit
- Rebuilt for MSVSphere 9.4

* Fri May 31 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 5.3.54-1.inferit
- Rebuilt for MSVSphere 9.4

* Fri Jan 06 2023 wally <wally> 5.2.1-1.mga9
+ Revision: 1930688
- new version 5.2.1

* Tue Aug 23 2022 wally <wally> 5.1.20-1.mga9
+ Revision: 1879604
- new version 5.1.20

* Tue Aug 23 2022 wally <wally> 0.25-4.git20210209.3.mga9
+ Revision: 1879587
- properly fix RPATH

* Thu Mar 17 2022 umeabot <umeabot> 0.25-4.git20210209.2.mga9
+ Revision: 1796956
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 mrambo3501 <mrambo3501> 0.25-4.git20210209.1.mga9
+ Revision: 1790419
- bump rel
- remove the global rpath disable
- ignore the standard 0x0001 rpath

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 0.24-4.git20210209.1.mga9
+ Revision: 1790123
- disable rpath checking

* Sat Jul 31 2021 wally <wally> 0.23-4.git20210209.1.mga9
+ Revision: 1738389
- update to latest git snapshot

* Wed Feb 12 2020 umeabot <umeabot> 3.mga8-current
+ Revision: 1510673
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 0.23-2.mga7
+ Revision: 1295352
- Mageia 7 Mass Rebuild

* Sun Dec 31 2017 wally <wally> 0.23-1.mga7
+ Revision: 1188350
- imported package bcmatroska2

